Skip to main content
GET
/
projects
/
{project_reference}
/
skills
/
{skill_id}
/
source
Get Skill Source
curl --request GET \
  --url https://api.veryfront.com/projects/{project_reference}/skills/{skill_id}/source \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "name": "<string>",
  "description": "<string>",
  "source_path": "<string>",
  "sections": {
    "Summary": "<string>",
    "Usage": "<string>",
    "Examples": "<string>",
    "Notes": "<string>"
  },
  "source": "<string>",
  "edit_mode": "structured",
  "source_only_reasons": [
    "<string>"
  ],
  "allowed_tools": [
    "<string>"
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

project_reference
string
required
skill_id
string
required

Skill identifier

Query Parameters

source_target_kind
string
target_branch_id
string<uuid> | null

Response

Project skill document

id
string
required
name
string
required
description
string
required
source_path
string
required
sections
object
required
source
string
required
edit_mode
enum<string>
required
Available options:
structured,
source_only
source_only_reasons
string[]
required
allowed_tools
string[]